import 'package:{{project_name.snakeCase()}}/app.dart';
import 'package:{{project_name.snakeCase()}}/core/utils/app_bloc_observer.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
{{#enable_router}}import 'package:go_router/go_router.dart';{{/enable_router}}

Future<void> main() async {
  WidgetsFlutterBinding.ensureInitialized();

  {{#enable_router}}GoRouter.setUrlPathStrategy(UrlPathStrategy.path);{{/enable_router}}

  BlocOverrides.runZoned(
    () => runApp(
      const App(),
    ),
    blocObserver: AppBlocObserver(),
  );
}
